Groovy Documentation

## org.codehaus.groovy.grails.web.i18n
[Groovy] Class ParamsAwareLocaleChangeInterceptor

    java.lang.Object
      org.springframework.web.servlet.i18n.LocaleChangeInterceptor
          org.codehaus.groovy.grails.web.i18n.ParamsAwareLocaleChangeInterceptor

    class ParamsAwareLocaleChangeInterceptor
    extends LocaleChangeInterceptor

A LocaleChangeInterceptor instance that is aware of the Grails params object.

Authors:
  Graeme Rocher

Since:
  1.0 Created: May 28, 2008

Property Summary
`java.lang.String` | `paramName`

Method Summary
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object handler)`
`void` | `setParamName(java.lang.String name)`

Property Detail

### paramName

    java.lang.String paramName

Method Detail

### preHandle

    @Override
    boolean preHandle(HttpServletRequest request, HttpServletResponse response, java.lang.Object handler)

### setParamName

    void setParamName(java.lang.String name)

Groovy Documentation